G12-2024 - Feature #1105
Support # 1094 (Resolved): UML Thread (Current Status of UML Diagram)

UML diagrams (Early_Version)
10/23/2024 03:25 PM - MYAT Ma De May Phuu Ngon

Status: Resolved Start date: 10/24/2024
Priority: High Due date: 10/24/2024
Assignee: M Z Niloy KHAN % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 7.00 hours
Description

Please upload the early versions of UML diagrams

Subtasks:
Feature # 1115: UML Diagrams V2
Support # 1140: GUI Class Intergration

Resolved
Resolved

History

#1 - 10/23/2024 10:50 PM - M Z Niloy KHAN
- File Maskcreator with subclass.asta added
- File Mask creator copy.png added

- Assignee set to M Z Niloy KHAN

This is the draft astah file of mask creator class. The independent functions of the program that essentially does image processing has been added to
a subclass called process. This changed has been made considering the fact that this functions might go unnoticed or remain unknown if someone

tries to implement the program with the diagrams. It might be further updated in the main UML diagram

#2 - 10/23/2024 11:38 PM - Chien-Tai HUNG
- File ConfigReader.asta added

#3 - 10/23/2024 11:39 PM - M Z Niloy KHAN
- % Done changed from 0 to 30

#4 - 10/24/2024 12:01 PM - Chien-Tai HUNG
- % Done changed from 30 to 60

#5 - 10/24/2024 01:01 PM - Alessandro Yuuki TAI
- File MainDisplayUML (Draft1).asta.zip added

#6 - 10/24/2024 01:01 PM - Alessandro Yuuki TAI
- % Done changed from 60 to 100

#7 - 10/24/2024 02:55 PM - MYAT Ma De May Phuu Ngon

- Status changed from New to In Progress

#8 - 10/24/2024 03:38 PM - MYAT Ma De May Phuu Ngon

- Status changed from In Progress to Resolved

#9 - 10/24/2024 03:45 PM - MYAT Ma De May Phuu Ngon
- Subject changed from UML diagrams (early) to UML diagrams (Early_Version)

Files

Maskcreator with subclass.asta 8.36 KB 10/23/2024 M Z Niloy KHAN

Mask creator copy.png 22.8 KB 10/23/2024 M Z Niloy KHAN
ConfigReader.asta 6.29 KB 10/23/2024 Chien-Tai HUNG
MainDisplayUML(Draft1).asta.zip 6.98 KB 10/24/2024 Alessandro Yuuki TAI
